#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// Copyright (c) Microsoft Corporation. All rights reserved.
// Licensed under the MIT License.
var tschema = require("./typed-schema");
var platformType = undefined;
var folderToTransform = process.argv[2];
if (folderToTransform.includes('#')) {
    var temp = folderToTransform.split("#");
    folderToTransform = temp[0];
    platformType = temp[1];
}
var primaryTypeName = undefined;
if (process.argv.length > 3) {
    primaryTypeName = process.argv[3].split(",");
}
var defaultPrimaryType = undefined;
if (process.argv.length > 4) {
    defaultPrimaryType = process.argv[4];
}
var typePropertyName = undefined;
if (process.argv.length > 5) {
    typePropertyName = process.argv[5];
}
var allowAdditionalProperties = false;
if (process.argv.length > 6 && process.argv[5] === "true") {
    allowAdditionalProperties = true;
}
var transformed = tschema.transformFolder(folderToTransform, {
    primaryTypeNames: primaryTypeName,
    defaultPrimaryTypeName: defaultPrimaryType,
    typePropertyName: typePropertyName,
    allowAdditionalProperties: allowAdditionalProperties
});
if (platformType) {
    Object.keys(transformed.definitions).forEach(function (k) {
        transformed.definitions[k].platformType = platformType;
    });
}
console.log(JSON.stringify(transformed, null, 2));
//# sourceMappingURL=command-line.js.map